package com.webucator.cssimports.client;

import com.google.gwt.core.client.EntryPoint;
import com.google.gwt.user.client.ui.HTML;
import com.google.gwt.user.client.ui.FlowPanel;
import com.google.gwt.user.client.ui.RootPanel;

public class CssResourceImports implements EntryPoint {
	
	private static final SomeResources resources
		= SomeResources.INSTANCE;
	
	private static final AStyles aStyles = resources.aStyles();
	private static final BStyles bStyles = resources.bStyles();
	private static final Styles styles = resources.styles();

	public void onModuleLoad() {
		
		aStyles.ensureInjected();
		bStyles.ensureInjected();
		styles.ensureInjected();
		
		FlowPanel panel = new FlowPanel();
		
		HTML special = new HTML("Special");
		special.addStyleName(styles.special());   // GJ5OS5JCGI
		panel.add( special );
		
		HTML aSpecial = new HTML("A Special");
		aSpecial.addStyleName(aStyles.special()); // GJ5OS5JCEI
		panel.add( aSpecial );
		
		HTML bSpecial = new HTML("B Special");
		bSpecial.addStyleName(bStyles.special()); // GJ5OS5JCFI
		panel.add( bSpecial );
		
		HTML allSpecial = new HTML("All Special");
		allSpecial.addStyleName(styles.special());
		allSpecial.addStyleName(aStyles.special());
		allSpecial.addStyleName(bStyles.special());
		panel.add( allSpecial );
		
		RootPanel.get().add( panel );
		
	}
	
}
